Bug 1413381 - ad_partner_mac value isn't reported with bond in REST
Summary: ad_partner_mac value isn't reported with bond in REST
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: RestAPI
Version: 4.0.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ovirt-4.1.0-rc
: ---
Assignee: Marcin Mirecki
QA Contact: Mor
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-15 15:10 UTC by Mor
Modified: 2017-02-15 14:50 UTC (History)
7 users (show)

Fixed In Version: 4.1.0-3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-15 14:50:18 UTC
oVirt Team: Network
rule-engine: ovirt-4.1+
danken: ci_coverage_complete?


Attachments (Terms of Use)
Basic tooltip (419.90 KB, image/png)
2017-01-24 14:18 UTC, Marcin Mirecki
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1413380 0 medium CLOSED Bond tooltip doesn't pop up 2021-02-22 00:41:40 UTC

Internal Links: 1413380

Description Mor 2017-01-15 15:10:31 UTC
Description of problem:
When creating a bond, REST doesn't report any ad_partner_mac value. On oVirt 4.1 this value is reported correctly.

Version-Release number of selected component (if applicable):
Red Hat Virtualization Manager Version: 4.0.6.3-0.1.el7ev

How reproducible:
100%

Steps to Reproduce:
1. Create a new bond.
2. Try to look for ad_partner_mac reported value in REST: http://<server>/ovirt-engine/api/hosts/<host_id>/nics

Actual results:
Value is not exists.

Expected results:
Value should be exists.


Additional info:

Output example:
<host_nic href= "/ovirt-engine/api/hosts/fd9e3adf-ba2b-4215-beb9-e1c056a571ca/nics/61d26240-c004-4ba1-9dc9-8b6343f82f39" id="61d26240-c004-4ba1-9dc9-8b6343f82f39">
<actions/>
<name>bond1</name>
<link href= "/ovirt-engine/api/hosts/fd9e3adf-ba2b-4215-beb9-e1c056a571ca/nics/61d26240-c004-4ba1-9dc9-8b6343f82f39/statistics" rel="statistics"/>
<link href= "/ovirt-engine/api/hosts/fd9e3adf-ba2b-4215-beb9-e1c056a571ca/nics/61d26240-c004-4ba1-9dc9-8b6343f82f39/networklabels" rel="networklabels"/>
<link href= "/ovirt-engine/api/hosts/fd9e3adf-ba2b-4215-beb9-e1c056a571ca/nics/61d26240-c004-4ba1-9dc9-8b6343f82f39/networkattachments" rel="networkattachments"/>
<bonding>
<options>
<option>
<name>mode</name>
<type>Dynamic link aggregation (802.3ad)</type>
<value>4</value>
</option>
<option>
<name>miimon</name>
<value>100</value>
</option>
</options>
<slaves>
<host_nic href= "/ovirt-engine/api/hosts/fd9e3adf-ba2b-4215-beb9-e1c056a571ca/nics/3424ae7b-316c-4f39-9485-c911ad4ef033" id="3424ae7b-316c-4f39-9485-c911ad4ef033">
<actions>
<link href= "/ovirt-engine/api/hosts/fd9e3adf-ba2b-4215-beb9-e1c056a571ca/nics/3424ae7b-316c-4f39-9485-c911ad4ef033/updatevirtualfunctionsconfiguration" rel="updatevirtualfunctionsconfiguration"/>
</actions>
</host_nic>
<host_nic href= "/ovirt-engine/api/hosts/fd9e3adf-ba2b-4215-beb9-e1c056a571ca/nics/d167ba55-d777-4182-afeb-c672ed81b28e" id="d167ba55-d777-4182-afeb-c672ed81b28e">
<actions>
<link href= "/ovirt-engine/api/hosts/fd9e3adf-ba2b-4215-beb9-e1c056a571ca/nics/d167ba55-d777-4182-afeb-c672ed81b28e/updatevirtualfunctionsconfiguration" rel="updatevirtualfunctionsconfiguration"/>
</actions>
</host_nic>
</slaves>
</bonding>
<boot_protocol>none</boot_protocol>
<bridged>false</bridged>
<ip>
<address/>
<netmask/>
<version>v4</version>
</ip>
<ipv6_boot_protocol>none</ipv6_boot_protocol>
<mac>
<address>00:e0:ed:33:c0:94</address>
</mac>
<mtu>1500</mtu>
<status>up</status>
<host href= "/ovirt-engine/api/hosts/fd9e3adf-ba2b-4215-beb9-e1c056a571ca" id="fd9e3adf-ba2b-4215-beb9-e1c056a571ca"/>
</host_nic>

Comment 1 Mor 2017-01-17 09:44:48 UTC
Adding to my first comment:

The propose of this ticket is to find a way add a test coverage for interface bondings in oVirt 4.0 or 4.1 (if we don't wish to test it in 4.0). 

We need to have an indicator in REST that tells us whether a bond, in its current state, is vaild or not, like for example, a boolean value named 'valid_bond' within the 'Bondings' data structure. This value also needs to reflect the visibility of the tooltip in the UI, so we can make sure we covering it also.

Comment 2 Dan Kenigsberg 2017-01-17 12:21:42 UTC
Mor, can you provide the output of 4.1? I believe that what we have there is good, and we only need to understand why 4.0.6 is different.

Comment 3 Mor 2017-01-18 06:48:16 UTC
Hi Dan,

See the he output from 4.1 below. "bond0" is a valid LACP bond, and "bond1" is invalid LACP bond. I saw times were the bond1 ad_partner_mac was reported as zeroed MAC address (00:00:00:00:00:00) and sometimes it's not being reported at all.

<host_nic href="/ovirt-engine/api/hosts/5e9ea969-c30a-4f63-a2fe-f424d5aabf0d/nics/fc8cce31-920e-4274-8465-0dbdfb3b8b41" id="fc8cce31-920e-4274-8465-0dbdfb3b8b41">
    <actions />
    <name>bond0</name>
    <link href="/ovirt-engine/api/hosts/5e9ea969-c30a-4f63-a2fe-f424d5aabf0d/nics/fc8cce31-920e-4274-8465-0dbdfb3b8b41/networklabels" rel="networklabels" />
    <link href="/ovirt-engine/api/hosts/5e9ea969-c30a-4f63-a2fe-f424d5aabf0d/nics/fc8cce31-920e-4274-8465-0dbdfb3b8b41/networkattachments" rel="networkattachments" />
    <link href="/ovirt-engine/api/hosts/5e9ea969-c30a-4f63-a2fe-f424d5aabf0d/nics/fc8cce31-920e-4274-8465-0dbdfb3b8b41/statistics" rel="statistics" />
    <ad_aggregator_id>1</ad_aggregator_id>
    <bonding>
        <ad_partner_mac>
            <address>18:ef:63:a1:75:00</address>
        </ad_partner_mac>
        <options>
            <option>
                <name>mode</name>
                <type>Dynamic link aggregation (802.3ad)</type>
                <value>4</value>
            </option>
            <option>
                <name>miimon</name>
                <value>100</value>
            </option>
        </options>
        <slaves>
            <host_nic href="/ovirt-engine/api/hosts/5e9ea969-c30a-4f63-a2fe-f424d5aabf0d/nics/1f9e6f73-f21c-4781-b08e-f2d2499dd4b5" id="1f9e6f73-f21c-4781-b08e-f2d2499dd4b5" />
            <host_nic href="/ovirt-engine/api/hosts/5e9ea969-c30a-4f63-a2fe-f424d5aabf0d/nics/b4737606-11bc-4f82-afe9-8506c84a4f0f" id="b4737606-11bc-4f82-afe9-8506c84a4f0f" />
        </slaves>
    </bonding>
    <boot_protocol>none</boot_protocol>
    <bridged>false</bridged>
    <ip>
        <address />
        <netmask />
        <version>v4</version>
    </ip>
    <ipv6_boot_protocol>none</ipv6_boot_protocol>
    <mac>
        <address>00:e0:ed:30:27:4c</address>
    </mac>
    <mtu>1500</mtu>
    <status>up</status>
    <host href="/ovirt-engine/api/hosts/5e9ea969-c30a-4f63-a2fe-f424d5aabf0d" id="5e9ea969-c30a-4f63-a2fe-f424d5aabf0d" />
</host_nic>

<host_nic href="/ovirt-engine/api/hosts/5e9ea969-c30a-4f63-a2fe-f424d5aabf0d/nics/ce314820-0b00-49d7-ac5e-23938c021b71" id="ce314820-0b00-49d7-ac5e-23938c021b71">
    <actions />
    <name>bond1</name>
    <link href="/ovirt-engine/api/hosts/5e9ea969-c30a-4f63-a2fe-f424d5aabf0d/nics/ce314820-0b00-49d7-ac5e-23938c021b71/networklabels" rel="networklabels" />
    <link href="/ovirt-engine/api/hosts/5e9ea969-c30a-4f63-a2fe-f424d5aabf0d/nics/ce314820-0b00-49d7-ac5e-23938c021b71/networkattachments" rel="networkattachments" />
    <link href="/ovirt-engine/api/hosts/5e9ea969-c30a-4f63-a2fe-f424d5aabf0d/nics/ce314820-0b00-49d7-ac5e-23938c021b71/statistics" rel="statistics" />
    <ad_aggregator_id>1</ad_aggregator_id>
    <bonding>
        <ad_partner_mac>
            <address>00:00:00:00:00:00</address>
        </ad_partner_mac>
        <options>
            <option>
                <name>mode</name>
                <type>Dynamic link aggregation (802.3ad)</type>
                <value>4</value>
            </option>
            <option>
                <name>miimon</name>
                <value>100</value>
            </option>
        </options>
        <slaves>
            <host_nic href="/ovirt-engine/api/hosts/5e9ea969-c30a-4f63-a2fe-f424d5aabf0d/nics/ef65da67-d51b-4ce5-a987-d7ad9823227f" id="ef65da67-d51b-4ce5-a987-d7ad9823227f" />
            <host_nic href="/ovirt-engine/api/hosts/5e9ea969-c30a-4f63-a2fe-f424d5aabf0d/nics/0e148a82-fdf1-45ef-a47e-2bbe473ac0e8" id="0e148a82-fdf1-45ef-a47e-2bbe473ac0e8" />
        </slaves>
    </bonding>
    <boot_protocol>none</boot_protocol>
    <bridged>false</bridged>
    <ip>
        <address />
        <netmask />
        <version>v4</version>
    </ip>
    <ipv6_boot_protocol>none</ipv6_boot_protocol>
    <mac>
        <address>00:e0:ed:30:27:4e</address>
    </mac>
    <mtu>1500</mtu>
    <status>up</status>
    <host href="/ovirt-engine/api/hosts/5e9ea969-c30a-4f63-a2fe-f424d5aabf0d" id="5e9ea969-c30a-4f63-a2fe-f424d5aabf0d" />
</host_nic>
<host_nic href="/ovirt-engine/api/hosts/5e9ea969-c30a-4f63-a2fe-f424d5aabf0d/nics/ef65da67-d51b-4ce5-a987-d7ad9823227f" id="ef65da67-d51b-4ce5-a987-d7ad9823227f">
    <actions />
    <name>enp2s0f3</name>
    <link href="/ovirt-engine/api/hosts/5e9ea969-c30a-4f63-a2fe-f424d5aabf0d/nics/ce314820-0b00-49d7-ac5e-23938c021b71" rel="master" />
    <link href="/ovirt-engine/api/hosts/5e9ea969-c30a-4f63-a2fe-f424d5aabf0d/nics/ef65da67-d51b-4ce5-a987-d7ad9823227f/networklabels" rel="networklabels" />
    <link href="/ovirt-engine/api/hosts/5e9ea969-c30a-4f63-a2fe-f424d5aabf0d/nics/ef65da67-d51b-4ce5-a987-d7ad9823227f/networkattachments" rel="networkattachments" />
    <link href="/ovirt-engine/api/hosts/5e9ea969-c30a-4f63-a2fe-f424d5aabf0d/nics/ef65da67-d51b-4ce5-a987-d7ad9823227f/statistics" rel="statistics" />
    <ad_aggregator_id>2</ad_aggregator_id>
    <boot_protocol>none</boot_protocol>
    <bridged>false</bridged>
    <ip>
        <address />
        <netmask />
        <version>v4</version>
    </ip>
    <ipv6_boot_protocol>none</ipv6_boot_protocol>
    <mac>
        <address>00:e0:ed:30:27:4f</address>
    </mac>
    <mtu>1500</mtu>
    <speed>1000000000</speed>
    <status>up</status>
    <host href="/ovirt-engine/api/hosts/5e9ea969-c30a-4f63-a2fe-f424d5aabf0d" id="5e9ea969-c30a-4f63-a2fe-f424d5aabf0d" />
</host_nic>
<host_nic href="/ovirt-engine/api/hosts/5e9ea969-c30a-4f63-a2fe-f424d5aabf0d/nics/1f9e6f73-f21c-4781-b08e-f2d2499dd4b5" id="1f9e6f73-f21c-4781-b08e-f2d2499dd4b5">
    <actions />
    <name>enp2s0f0</name>
    <link href="/ovirt-engine/api/hosts/5e9ea969-c30a-4f63-a2fe-f424d5aabf0d/nics/fc8cce31-920e-4274-8465-0dbdfb3b8b41" rel="master" />
    <link href="/ovirt-engine/api/hosts/5e9ea969-c30a-4f63-a2fe-f424d5aabf0d/nics/1f9e6f73-f21c-4781-b08e-f2d2499dd4b5/networklabels" rel="networklabels" />
    <link href="/ovirt-engine/api/hosts/5e9ea969-c30a-4f63-a2fe-f424d5aabf0d/nics/1f9e6f73-f21c-4781-b08e-f2d2499dd4b5/networkattachments" rel="networkattachments" />
    <link href="/ovirt-engine/api/hosts/5e9ea969-c30a-4f63-a2fe-f424d5aabf0d/nics/1f9e6f73-f21c-4781-b08e-f2d2499dd4b5/statistics" rel="statistics" />
    <ad_aggregator_id>1</ad_aggregator_id>
    <boot_protocol>none</boot_protocol>
    <bridged>false</bridged>
    <ip>
        <address />
        <netmask />
        <version>v4</version>
    </ip>
    <ipv6_boot_protocol>none</ipv6_boot_protocol>
    <mac>
        <address>00:e0:ed:30:27:4c</address>
    </mac>
    <mtu>1500</mtu>
    <speed>1000000000</speed>
    <status>up</status>
    <host href="/ovirt-engine/api/hosts/5e9ea969-c30a-4f63-a2fe-f424d5aabf0d" id="5e9ea969-c30a-4f63-a2fe-f424d5aabf0d" />
</host_nic>
<host_nic href="/ovirt-engine/api/hosts/5e9ea969-c30a-4f63-a2fe-f424d5aabf0d/nics/b4737606-11bc-4f82-afe9-8506c84a4f0f" id="b4737606-11bc-4f82-afe9-8506c84a4f0f">
    <actions />
    <name>enp2s0f1</name>
    <link href="/ovirt-engine/api/hosts/5e9ea969-c30a-4f63-a2fe-f424d5aabf0d/nics/fc8cce31-920e-4274-8465-0dbdfb3b8b41" rel="master" />
    <link href="/ovirt-engine/api/hosts/5e9ea969-c30a-4f63-a2fe-f424d5aabf0d/nics/b4737606-11bc-4f82-afe9-8506c84a4f0f/networklabels" rel="networklabels" />
    <link href="/ovirt-engine/api/hosts/5e9ea969-c30a-4f63-a2fe-f424d5aabf0d/nics/b4737606-11bc-4f82-afe9-8506c84a4f0f/networkattachments" rel="networkattachments" />
    <link href="/ovirt-engine/api/hosts/5e9ea969-c30a-4f63-a2fe-f424d5aabf0d/nics/b4737606-11bc-4f82-afe9-8506c84a4f0f/statistics" rel="statistics" />
    <ad_aggregator_id>2</ad_aggregator_id>
    <boot_protocol>none</boot_protocol>
    <bridged>false</bridged>
    <ip>
        <address />
        <netmask />
        <version>v4</version>
    </ip>
    <ipv6_boot_protocol>none</ipv6_boot_protocol>
    <mac>
        <address>00:e0:ed:30:27:4d</address>
    </mac>
    <mtu>1500</mtu>
    <speed>1000000000</speed>
    <status>up</status>
    <host href="/ovirt-engine/api/hosts/5e9ea969-c30a-4f63-a2fe-f424d5aabf0d" id="5e9ea969-c30a-4f63-a2fe-f424d5aabf0d" />
</host_nic>

Comment 4 Marcin Mirecki 2017-01-23 14:34:24 UTC
It seems this change is not part of 4.0.6

Patches for ad_partner_mac on master:
https://gerrit.ovirt.org/#/q/status:merged+project:ovirt-engine+branch:master+ad_partner

Patches for ad_partner_mac on 4.0.6:
https://gerrit.ovirt.org/#/q/status:merged+project:ovirt-engine+branch:ovirt-engine-4.0.6+ad_partner

Comment 5 Michael Burman 2017-01-24 07:19:20 UTC
This bug was reported against 4.0.6, why this is moved from NEW to ON_QA?  
4.1 isn't affected by this. The bug still exist on 4.0.6 and shouldn't be ON_QA.

Comment 6 Marcin Mirecki 2017-01-24 14:18:30 UTC
Created attachment 1243923 [details]
Basic tooltip

Comment 7 Marcin Mirecki 2017-01-24 14:27:46 UTC
The functionality which was included in 4.0 was only a basic tooltip warning the user that no partner mac has been reported for bond in mode 4 (screenshot attached).
Unfortunately the feature has later been reused to add more functionality (available in 4.1). The ad_partner_mac information in REST is only available with patch: https://gerrit.ovirt.org/#/c/61910/ in 4.1

Comment 8 Dan Kenigsberg 2017-01-24 16:46:25 UTC
Thanks for clearing up the situation. Bug 1281666 covers only the minimal notification of 4.0, and the 4.1 patches were added to it by mistake.

Let the current bug go to ON_QA so the 4.1 code for REST earns its QA time.

Comment 9 Mor 2017-01-25 11:11:07 UTC
Verified on: Red Hat Virtualization Manager Version: 4.1.0.2-0.2.el7.


Note You need to log in before you can comment on or make changes to this bug.